<?php
/**
 * @file
 * Plugin para context
 */

/**
 * Context class form own conditions
 */
class policia_context_type_unidad extends context_condition {

  /**
   * Form context
   */
  function condition_form($context) {
    $form = parent::condition_form($context);
    $form['#type'] = 'select';
    $form['#multiple'] = TRUE;
    $options = array(
      6 => 'Direccion',
      54 => 'Oficinas Asesoras',
      55 => 'Metropolitanas y Comandos',
      56 => 'Escuelas de Policía',
      57 => 'Unidades y Grupos Especializados',
      58 => 'Asuntos internacionales',
      59 => 'Área de control interno',
      60 => 'Inspección general',
      61 => 'Aviación policial',
      62 => 'Dirección de gestión de policía fiscal y aduanera',
      63 => 'Observatorio del Delito',
      64 => 'Centro Internacional de Estudios Estratégicos Contra el Narcotráfico',
      65 => 'Departamentos y Municipios',
    );
    $form['#options'] = $options;
    return $form;
  }

  /**
   * Execute context
   */
  function execute() {
    global $_tipo_unidad;
    // Si el contexto esta siendo usado.
    if ($this->condition_used() && $_tipo_unidad) {
      foreach ($this->get_contexts() as $context) {
        // Se obtienen valores del context.
        $values = $this->fetch_from_context($context, 'values');
        foreach ($values as $key => $value) {
          if ($value == $_tipo_unidad) {
            // Si el termino en el que estoy en es el que esta seleccionado.
            $this->condition_met($context, $_tipo_unidad);
          }
        }
      }
    }
  }
}

